import { ReactWidget } from "@jupyterlab/apputils";
import * as React from "react";
import { NbConda } from "./components/NbConda";
export const condaEnvId = "jupyterlab_conda:plugin";
/**
 * Phosphor Widget encapsulating the Conda Environments & Packages Manager
 */
export class CondaEnvWidget extends ReactWidget {
    constructor(height, width, envModel) {
        super();
        this.height = height;
        this.width = width;
        this.envModel = envModel;
    }
    onResize(msg) {
        this.height = msg.height;
        this.width = msg.width;
        super.onResize(msg);
    }
    render() {
        return (React.createElement(NbConda, { height: this.height, width: this.width, model: this.envModel }));
    }
}
//# sourceMappingURL=CondaEnvWidget.js.map