import * as React from "react";
import { style } from "typestyle";
import { GlobalStyle } from "./globalStyles";
/**
 * Environment item component
 */
export const CondaEnvItem = (props) => {
    return (React.createElement("div", { className: props.selected ? Style.SelectedItem : Style.Item, onClick: () => props.onClick(props.name) }, props.name));
};
var Style;
(function (Style) {
    Style.Item = style(GlobalStyle.ListItem, {
        padding: "2px 0 5px 5px",
        $nest: {
            "&:hover": {
                backgroundColor: "var(--jp-layout-color2)",
                border: "1px solid var(--jp-border-color2)"
            }
        }
    });
    Style.SelectedItem = style(GlobalStyle.ListItem, {
        padding: "2px 0 5px 5px",
        backgroundColor: "var(--jp-brand-color1)",
        color: "var(--jp-ui-inverse-font-color1)",
        border: "1px solid var(--jp-brand-color1)",
        display: "flex",
        justifyContent: "space-between",
        alignItems: "center",
        $nest: {
            "&::after": {
                content: "' '",
                display: "inline-block",
                padding: "0 5px",
                width: 0,
                height: 0,
                borderTop: "calc(var(--jp-ui-font-size1) / 2) solid transparent",
                borderBottom: "calc(var(--jp-ui-font-size1) / 2) solid transparent",
                borderLeft: "calc(var(--jp-ui-font-size1) / 2) solid var(--jp-ui-inverse-font-color1)"
            }
        }
    });
})(Style || (Style = {}));
//# sourceMappingURL=CondaEnvItem.js.map