import * as React from "react";
import { Conda } from "../tokens";
export declare const ENVIRONMENT_PANEL_WIDTH = 250;
/**
 * Environment list properties
 */
export interface IEnvListProps {
    /**
     * Component height
     */
    height: number;
    /**
     * Is the environment list loading?
     */
    isPending: boolean;
    /**
     * Environment list
     */
    environments: Array<Conda.IEnvironment>;
    /**
     * Currently selected environment
     */
    selected: string;
    /**
     * Environment selection handler
     */
    onSelectedChange(name: string): void;
    /**
     * Environment creation handler
     */
    onCreate(): void;
    /**
     * Environment clone handler
     */
    onClone(): void;
    /**
     * Environment import handler
     */
    onImport(): void;
    /**
     * Environment export handler
     */
    onExport(): void;
    /**
     * Refresh environment handler
     */
    onRefresh(): void;
    /**
     * Environment remove handler
     */
    onRemove(): void;
}
/**
 * React component for the environment list
 */
export declare const CondaEnvList: React.FunctionComponent<IEnvListProps>;
