/// <reference types="react" />
export declare const ENVIRONMENT_TOOLBAR_HEIGHT = 40;
/**
 * Environment panel toolbar properties
 */
export interface ICondaEnvToolBarProps {
    /**
     * Is the current environment the root one
     */
    isBase: boolean;
    /**
     * Is the environment list updating
     */
    isPending: boolean;
    /**
     * Create environment handler
     */
    onCreate(): void;
    /**
     * Clone environment handler
     */
    onClone(): void;
    /**
     * Import environment handler
     */
    onImport(): void;
    /**
     * Export environment handler
     */
    onExport(): void;
    /**
     * Refresh environment handler
     */
    onRefresh(): void;
    /**
     * Remove environment handler
     */
    onRemove(): void;
}
export declare const CondaEnvToolBar: (props: ICondaEnvToolBarProps) => JSX.Element;
