import { faClone } from "@fortawesome/free-regular-svg-icons/faClone";
import { faSyncAlt } from "@fortawesome/free-solid-svg-icons/faSyncAlt";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { ToolbarButtonComponent } from "@jupyterlab/apputils";
import { addIcon, Button, closeIcon, downloadIcon, fileUploadIcon } from "@jupyterlab/ui-components";
import * as React from "react";
import { style } from "typestyle";
import { ENVIRONMENT_TOOLBAR_CLASS } from "../constants";
//Toolbar height to align with package toolbar
export const ENVIRONMENT_TOOLBAR_HEIGHT = 40;
export const CondaEnvToolBar = (props) => {
    return (React.createElement("div", { className: Style.NoGrow },
        React.createElement("div", { className: Style.Title },
            React.createElement("span", { className: Style.Grow }, "Conda environments"),
            React.createElement(Button, { className: "jp-ToolbarButtonComponent", onMouseDown: props.onRefresh, title: "Refresh environments", minimal: true },
                React.createElement(FontAwesomeIcon, { icon: faSyncAlt, spin: props.isPending, style: { color: "var(--jp-inverse-layout-color3)" } }))),
        React.createElement("div", { className: `lm-Widget jp-Toolbar ${ENVIRONMENT_TOOLBAR_CLASS}` },
            React.createElement(ToolbarButtonComponent, { icon: addIcon, tooltip: "Create", onClick: props.onCreate }),
            React.createElement(Button, { className: "jp-ToolbarButtonComponent", disabled: props.isBase, onMouseDown: props.onClone, title: "Clone", minimal: true },
                React.createElement(FontAwesomeIcon, { icon: faClone, style: { color: "var(--jp-inverse-layout-color3)" } })),
            React.createElement(ToolbarButtonComponent, { icon: fileUploadIcon, tooltip: "Import", onClick: props.onImport }),
            React.createElement(ToolbarButtonComponent, { icon: downloadIcon, tooltip: "Export", onClick: props.onExport }),
            React.createElement(ToolbarButtonComponent, { icon: closeIcon, tooltip: "Remove", onClick: props.onRemove, enabled: !props.isBase }))));
};
var Style;
(function (Style) {
    Style.Grow = style({
        flexGrow: 1,
        flexShrink: 1
    });
    Style.NoGrow = style({
        flexGrow: 0,
        flexShrink: 0
    });
    Style.Title = style({
        color: "var(--jp-ui-font-color1)",
        textAlign: "center",
        fontWeight: "bold",
        fontSize: "var(--jp-ui-font-size2)",
        height: ENVIRONMENT_TOOLBAR_HEIGHT,
        display: "flex",
        flex: "0 0 auto",
        flexDirection: "row"
    });
})(Style || (Style = {}));
//# sourceMappingURL=CondaEnvToolBar.js.map