import * as React from "react";
import { Conda } from "../tokens";
/**
 * Package list component properties
 */
export interface IPkgListProps {
    /**
     * Are package description available?
     */
    hasDescription: boolean;
    /**
     * Component height
     */
    height: number;
    /**
     * Conda package list
     */
    packages: Conda.IPackage[];
    /**
     * Package item click handler
     */
    onPkgClick: (pkg: Conda.IPackage) => void;
    /**
     * Package item version selection handler
     */
    onPkgChange: (pkg: Conda.IPackage, version: string) => void;
}
/** React component for the package list */
export declare class CondaPkgList extends React.Component<IPkgListProps> {
    static defaultProps: Partial<IPkgListProps>;
    constructor(props: IPkgListProps);
    render(): JSX.Element;
}
