import * as React from "react";
export declare const PACKAGE_TOOLBAR_HEIGHT = 40;
export declare enum PkgFilters {
    All = "ALL",
    Installed = "INSTALLED",
    Available = "AVAILABLE",
    Updatable = "UPDATABLE",
    Selected = "SELECTED"
}
export interface ICondaPkgToolBarProps {
    /**
     * Is the list loading?
     */
    isPending: boolean;
    /**
     * Selected package filter
     */
    category: PkgFilters;
    /**
     * Are there some package modifications?
     */
    hasSelection: boolean;
    /**
     * Are there some packages updatable?
     */
    hasUpdate: boolean;
    /**
     * Search term in search box
     */
    searchTerm: string;
    /**
     * Filter category change handler
     */
    onCategoryChanged: (event: React.ChangeEvent<HTMLSelectElement>) => void;
    /**
     * Search box handler
     */
    onSearch: (event: React.FormEvent) => void;
    /**
     * Update all packages handler
     */
    onUpdateAll: () => void;
    /**
     * Apply package modifications
     */
    onApply: () => void;
    /**
     * Cancel package modifications
     */
    onCancel: () => void;
    /**
     * Refresh available packages handler
     */
    onRefreshPackages: () => void;
}
export declare const CondaPkgToolBar: (props: ICondaPkgToolBarProps) => JSX.Element;
