import { faCartArrowDown, faExternalLinkSquareAlt, faSyncAlt, faUndoAlt } from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { Button, HTMLSelect, InputGroup } from "@jupyterlab/ui-components";
import * as React from "react";
import { classes, style } from "typestyle/lib";
import { PACKAGES_TOOLBAR_CLASS } from "../constants";
export const PACKAGE_TOOLBAR_HEIGHT = 40;
export var PkgFilters;
(function (PkgFilters) {
    PkgFilters["All"] = "ALL";
    PkgFilters["Installed"] = "INSTALLED";
    PkgFilters["Available"] = "AVAILABLE";
    PkgFilters["Updatable"] = "UPDATABLE";
    PkgFilters["Selected"] = "SELECTED";
})(PkgFilters || (PkgFilters = {}));
export const CondaPkgToolBar = (props) => {
    return (React.createElement("div", { className: `lm-Widget ${PACKAGES_TOOLBAR_CLASS} jp-Toolbar` },
        React.createElement("div", { className: "lm-Widget jp-Toolbar-item" },
            React.createElement(HTMLSelect, { value: props.category, onChange: props.onCategoryChanged, "aria-label": "Package filter" },
                React.createElement("option", { value: PkgFilters.All }, "All"),
                React.createElement("option", { value: PkgFilters.Installed }, "Installed"),
                React.createElement("option", { value: PkgFilters.Available }, "Not installed"),
                React.createElement("option", { value: PkgFilters.Updatable }, "Updatable"),
                React.createElement("option", { value: PkgFilters.Selected }, "Selected"))),
        React.createElement("div", { className: "lm-Widget jp-Toolbar-item" },
            React.createElement("div", { className: classes("jp-NbConda-search-wrapper", Style.Search) },
                React.createElement(InputGroup, { className: Style.SearchInput, type: "text", placeholder: "Search Packages", onChange: props.onSearch, value: props.searchTerm, rightIcon: "search" }))),
        React.createElement("div", { className: "lm-Widget jp-Toolbar-spacer jp-Toolbar-item" }),
        React.createElement(Button, { className: "jp-ToolbarButtonComponent", disabled: !props.hasUpdate, minimal: true, onMouseDown: props.onUpdateAll, title: "Update all packages" },
            React.createElement(FontAwesomeIcon, { icon: faExternalLinkSquareAlt, style: {
                    color: props.hasUpdate
                        ? "var(--jp-accent-color0)"
                        : "var(--jp-inverse-layout-color3)"
                } })),
        React.createElement(Button, { className: "jp-ToolbarButtonComponent", disabled: !props.hasSelection, minimal: true, onMouseDown: props.onApply, title: "Apply package modifications" },
            React.createElement(FontAwesomeIcon, { icon: faCartArrowDown, style: {
                    color: props.hasSelection
                        ? "var(--jp-brand-color0)"
                        : "var(--jp-inverse-layout-color3)"
                } })),
        React.createElement(Button, { className: "jp-ToolbarButtonComponent", disabled: !props.hasSelection, minimal: true, onMouseDown: props.onCancel, title: "Clear package modifications" },
            React.createElement(FontAwesomeIcon, { icon: faUndoAlt, style: { color: "var(--jp-inverse-layout-color3)" } })),
        React.createElement(Button, { className: "jp-ToolbarButtonComponent", disabled: props.isPending, minimal: true, onMouseDown: props.onRefreshPackages, title: "Refresh available packages" },
            React.createElement(FontAwesomeIcon, { icon: faSyncAlt, spin: props.isPending, style: { color: "var(--jp-inverse-layout-color3)" } }))));
};
var Style;
(function (Style) {
    Style.Toolbar = style({
        alignItems: "center",
        height: PACKAGE_TOOLBAR_HEIGHT
    });
    Style.SearchInput = style({
        lineHeight: "normal"
    });
    Style.Search = style({
        padding: "4px"
    });
})(Style || (Style = {}));
//# sourceMappingURL=CondaPkgToolBar.js.map