import * as React from "react";
import { Conda, IEnvironmentManager } from "../tokens";
/**
 * Jupyter Conda Component properties
 */
export interface ICondaEnvProps {
    /**
     * Component height
     */
    height: number;
    /**
     * Component width
     */
    width: number;
    /**
     * Environment manager
     */
    model: IEnvironmentManager;
}
/**
 * Jupyter Conda Component state
 */
export interface ICondaEnvState {
    /**
     * Environment list
     */
    environments: Array<Conda.IEnvironment>;
    /**
     * Active environment
     */
    currentEnvironment?: string;
    /**
     * Conda channels
     */
    channels?: Conda.IChannels;
    /**
     * Is the environment list loading?
     */
    isLoading: boolean;
}
/** Top level React component for Jupyter Conda Manager */
export declare class NbConda extends React.Component<ICondaEnvProps, ICondaEnvState> {
    constructor(props: ICondaEnvProps);
    handleEnvironmentChange(name: string): Promise<void>;
    handleCreateEnvironment(): Promise<void>;
    handleCloneEnvironment(): Promise<void>;
    private _readText;
    handleImportEnvironment(): Promise<void>;
    handleExportEnvironment(): Promise<void>;
    handleRefreshEnvironment(): Promise<void>;
    handleRemoveEnvironment(): Promise<void>;
    loadEnvironments(): Promise<void>;
    componentDidMount(): void;
    render(): JSX.Element;
}
