import * as React from "react";
import { ENVIRONMENT_PANEL_ID, ENVIRONMENT_TOOLBAR_CLASS, PACKAGES_PANEL_ID, PACKAGES_TOOLBAR_CLASS, PACKAGE_SELECT_CLASS, WIDGET_CLASS } from "./constants";
export const managerTour = {
    id: "jupyterlab-conda:tour",
    label: "Conda Packages Manager Tour",
    hasHelpEntry: true,
    steps: [
        {
            content: (React.createElement("p", null,
                "Thanks for installing ",
                React.createElement("em", null, "jupyter_conda"),
                ".",
                React.createElement("br", null),
                "Let's have a tour of the UI.")),
            placement: "center",
            target: `.${WIDGET_CLASS}`,
            title: "Conda Packages Manager"
        },
        {
            content: (React.createElement("p", null,
                "Your conda environment are listed here.",
                React.createElement("br", null),
                "Click on it to manage its packages.")),
            placement: "right",
            target: `#${ENVIRONMENT_PANEL_ID}`
        },
        {
            content: (React.createElement("p", null, "This toolbar contains environment actions like creation, deletion, exportation,...")),
            placement: "bottom",
            target: `.${ENVIRONMENT_TOOLBAR_CLASS}`
        },
        {
            content: (React.createElement("p", null, "This table lists all available conda packages and their status within the selected environment (i.e. installed, updatable or available).")),
            target: `#${PACKAGES_PANEL_ID}`
        },
        {
            content: (React.createElement("p", null, "A package can be installed, removed or updated by selecting a status in these selectors.")),
            placement: "bottom",
            target: `.${PACKAGE_SELECT_CLASS}`
        },
        {
            content: (React.createElement("p", null, "The package list can be filtered by packages status and with a search term.")),
            placement: "bottom-start",
            target: `.${PACKAGES_TOOLBAR_CLASS}`
        },
        {
            content: React.createElement("p", null, "Execute package changes with the cart button."),
            placement: "bottom",
            target: `.${PACKAGES_TOOLBAR_CLASS} .fa-cart-arrow-down`
        }
    ]
};
//# sourceMappingURL=tour.js.map